NATS C Client with JetStream and Streaming support 3.9.0-beta The nats.io C Client, Supported by Synadia Communications Inc.

Public Attributes | List of all members
jsOptions::jsOptionsPullSubscribeAsync Struct Reference

`#include <nats.h>`

## Public Attributes
int64_t | Timeout
| Auto-unsubsribe after this many milliseconds. More...
int | MaxMessages
| Auto-unsubscribed after receiving this many messages. More...
int64_t | MaxBytes
| Auto-unsubscribe after receiving this many bytes. More...
bool | NoWait
| If NoWait is set, the subscription will receive the messages already stored on the server subject to the limits, but will not wait for more messages. More...
jsFetchCompleteHandler | CompleteHandler
| Fetch complete handler that receives the exit status code, the subscription's Complete handler is also invoked, but does not have the status code. More...
void * | CompleteHandlerClosure
int64_t | Heartbeat
| Have server sends heartbeats at this interval (in milliseconds) to help detect communication failures. More...
int | FetchSize
| When using the automatic Fetch flow control (default NextHandler), this is the number of messages to ask for in a single request. More...
int | KeepAhead
| When using the automatic Fetch flow control (default NextHandler), initiate the next fetch request (this many messages) prior to the fulfillment of the current request. More...
jsFetchNextHandler | NextHandler
| If set, switches to manual fetch flow control. More...
void * | NextHandlerClosure

## Member Data Documentation

## ◆ Timeout

int64_t jsOptions::jsOptionsPullSubscribeAsync::Timeout

## ◆ MaxMessages

int jsOptions::jsOptionsPullSubscribeAsync::MaxMessages

## ◆ MaxBytes

int64_t jsOptions::jsOptionsPullSubscribeAsync::MaxBytes

## ◆ NoWait

bool jsOptions::jsOptionsPullSubscribeAsync::NoWait

Note
  that if Timeout is set we would still wait for first message to become available, even if there are currently any on the server

## ◆ CompleteHandler

jsFetchCompleteHandler jsOptions::jsOptionsPullSubscribeAsync::CompleteHandler

## ◆ CompleteHandlerClosure

void* jsOptions::jsOptionsPullSubscribeAsync::CompleteHandlerClosure

## ◆ Heartbeat

int64_t jsOptions::jsOptionsPullSubscribeAsync::Heartbeat

## ◆ FetchSize

int jsOptions::jsOptionsPullSubscribeAsync::FetchSize

## ◆ KeepAhead

int jsOptions::jsOptionsPullSubscribeAsync::KeepAhead

Note
  KeepAhead can not be used in conjunction with MaxBytes or NoWait.

## ◆ NextHandler

jsFetchNextHandler jsOptions::jsOptionsPullSubscribeAsync::NextHandler

If provided, this function gets called before each message is deliverered to msgCB, and overrides the default algorithm for sending Next fetch requests.

## ◆ NextHandlerClosure

void* jsOptions::jsOptionsPullSubscribeAsync::NextHandlerClosure

The documentation for this struct was generated from the following file:

- nats.h